Runtime

## org.eclipse.gmf.runtime.common.ui.services.action.filter
Class AbstractActionFilterProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.ui.services.action.filter.AbstractActionFilterProvider

All Implemented Interfaces:
  IProvider, org.eclipse.gmf.runtime.common.ui.services.action.internal.filter.IActionFilterProvider, IActionFilter

Direct Known Subclasses:
  AbstractModelActionFilterProvider

    public abstract class AbstractActionFilterProvider

extends AbstractProvider
implements org.eclipse.gmf.runtime.common.ui.services.action.internal.filter.IActionFilterProvider

The parent of all action filter providers. Defines useful constants and behavior for retrieving the current workbench selection.

Field Summary
`protected static java.lang.String` `ENABLEMENT_VALUE` The attribute value indicating an enablement test.
`protected static java.lang.String` `VISIBILITY_VALUE` The attribute value indicating a visibility test.

Constructor Summary
`protected` `AbstractActionFilterProvider()` Constructs a new action filter provider.

Method Summary
`protected ISelection` `getSelection()` Retrieves the selection from selection service of the active workbench window.
`protected IStructuredSelection` `getStructuredSelection()` Retrieves the selection as a structured selection.

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IActionFilter
`testAttribute`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Field Detail

### ENABLEMENT_VALUE

    protected static final java.lang.String ENABLEMENT_VALUE

  The attribute value indicating an enablement test.

  See Also:
    Constant Field Values

### VISIBILITY_VALUE

    protected static final java.lang.String VISIBILITY_VALUE

  The attribute value indicating a visibility test.

  See Also:
    Constant Field Values

Constructor Detail

### AbstractActionFilterProvider

    protected AbstractActionFilterProvider()

  Constructs a new action filter provider.

Method Detail

### getSelection

    protected ISelection getSelection()

  Retrieves the selection from selection service of the active workbench window.

  Returns:
    The current workbench selection.

### getStructuredSelection

    protected IStructuredSelection getStructuredSelection()

  Retrieves the selection as a structured selection.

  Returns:
    The current workbench selection if it is a structured selection; an empty structured selection otherwise.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.